Quickstart
Getting an API key
Section titled “Getting an API key”Before making your first request you first need to create and copy your SlideSpeak API key. Go to the developer page, create an API key and copy it.
Making the first request
Section titled “Making the first request”All requests require a X-API-Key header with your API key. The v2 generation
endpoint takes a prompt and optional settings such as a design_kit_id
(list available kits with /presentation/design-kits).
Run the following code to create your first presentation, be sure to use your own API key in the X-API-Key header:
curl -L \ -X POST \ -H 'Content-Type: application/json' \ -H 'X-API-Key: YOUR_API_KEY' \ 'https://api.slidespeak.co/api/v2/presentation/generate' \ -d '{"prompt":"Key moments in the french revolution", "settings": {"length": 6}}'If your request and API key is correct you should get the following response:
{"task_id":"d941a950-61c0-49da-a407-ab1ef65e06be"}Congrats! You just made your first v2 API request. The process to create your presentation has now started. Follow the next steps to check the progress and download the presentation when it’s ready.
Downloading the presentation
Section titled “Downloading the presentation”Poll the task status with the task_id you received. The creation step can take
around 20-30 seconds, depending on the length of the presentation.
https://api.slidespeak.co/api/v2/task_status/your-task-idOnce task_status is SUCCESS, use the returned request_id with the download
endpoint to get a short-lived URL:
curl -L \ -H 'X-API-Key: YOUR_API_KEY' \ "https://api.slidespeak.co/api/v2/presentation/download/your-request-id"This returns JSON with a short‑lived url to your generated PowerPoint file.
Congrats! You just made your first PowerPoint with the v2 API!
Next steps
Section titled “Next steps”The next step is to explore all available endpoints in the ‘API Reference’ section.